> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API token applications

> Get details of all open api token requests for organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/partner/getApiTokenApplications
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/partner/getApiTokenApplications:
    post:
      tags:
        - Partner Webservice
      summary: Get API token applications
      description: Get details of all open api token requests for organization
      operationId: partner_getApiTokenApplications
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: partner-api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: partner-api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Integration_GetApiTokenApplicationsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Integration_GetApiTokenApplicationsWSResponse
          description: OK
      deprecated: true
components:
  schemas:
    Integration_GetApiTokenApplicationsWSRequest:
      type: object
    Integration_GetApiTokenApplicationsWSResponse:
      type: object
      properties:
        applications:
          type: array
          items:
            $ref: '#/components/schemas/ApiTokenApplicationType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ApiTokenApplicationType:
      type: object
      properties:
        authType:
          $ref: '#/components/schemas/ApiTokenAuthTypeEnum'
        authenticationTokenHash:
          type: string
          nullable: true
        clientDetails:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        clientType:
          $ref: '#/components/schemas/ApiClientTypeEnum'
        csr:
          type: string
          nullable: true
        displayName:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        permissionGroupUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        tokenUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    ApiTokenAuthTypeEnum:
      type: string
      description: Authentication type for the API token
      enum:
        - API_TOKEN
        - CERT
    ApiClientTypeEnum:
      type: string
      enum:
        - PARTNER_DEVELOPER
        - DEVELOPER
        - INTERNAL_SALESFORCE
        - TVOS
        - WINDOWS
        - LINUX
        - KIOSK
        - KEYPAD
        - SQUARE
        - KISI
        - OPENPATH
        - TOAST
        - BOULEVARD
        - BRIVO
        - EXECUTABLE
        - HALO
        - SALTO
        - BUTTERFLYMX
        - GENEA
        - PRODATAKEY
        - ENVOY
        - AMT
        - PIMLOC
        - PLACEOS
        - OMNIALERT
        - FLIC
        - SHELLY_DEVICE_EVENT
        - NINEONEONECELLULAR
        - HONEYWELL_ELEMENTS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - TRITON
        - CHATBOT
        - SIGNATURE_API
        - UNKNOWN
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````